%{?nodejs_find_provides_and_requires}

%global packagename unc-path-regex
%global enable_tests 0

Name:		nodejs-unc-path-regex
Version:	0.1.2
Release:	%mkrel 4
Summary:	Regular expression to test if a file path is a windows UNC path
Group:          Development/Other
License:	MIT
URL:		https://github.com/regexps/unc-path-regex
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/regexps/unc-path-regex/master/test.js


BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Regular expression for testing if a file path is a windows UNC file path. Can
also be used as a component of another regexp via the `.source` property.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.1.2-4.mga9
+ Revision: 1818719
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.2-3.mga8
+ Revision: 1503267
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.1.2-2.mga7
+ Revision: 1281155
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 0.1.2-1.mga7
+ Revision: 1225343
- Update to version 0.1.2

* Fri May 13 2016 joequant <joequant> 0.1.1-1.mga6
+ Revision: 1014755
- imported package nodejs-unc-path-regex

